Subject: bug#43406: closed (Re: control message for bug #43406)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Sep 2020 08:24:02 +0000

Your bug report

#43406: Helm 3.6.5 on Emacs 27.1 leaks memory

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43406: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43406
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: control message for bug #43406
From: Ludovic Courtès <[email-masked]>
To: Joshua Branson <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Sep 2020 10:23:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Joshua Branson <[email-masked]> skribis:

> I do think it has to do with helm.  I can confirm that disabling
> helm-ff-cache with (setq helm-ff-keep-cached-candidates nil) really did
> the trick.

Same here.  A couple of days later, I can confirm that my Emacs has
become sane again.

Closing!

Ludo’.

Subject: Emacs 27.1 memory consumption grows indefinitely
From: Ludovic Courtès <[email-masked]>
To: <[email-masked]>
Date: Mon, 14 Sep 2020 21:38:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Since I upgraded to Emacs 27.1, its memory consumption grows without
bounds, to the point that it gets OOM-killed after just a couple of
hours (meaning that it’s used most of the 16G of RAM of my laptop!).

Does that ring a bell to anyone?  I have 50+ ^emacs- packages in my
profile; any clues on what could be the cause before diving further?

--8<---------------cut here---------------start------------->8---
$ guix package -I ^emacs$
emacs   27.1    out     /gnu/store/ipgb6s3phz3n740xlcdzaxnbgvncdh11-emacs-27.1
$ guix describe
Generacio 157   Sep 10 2020 08:49:21    (nuna)
  guix 7090159
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7090159c23d6345992ab976d71fefeb1583cfcdf
$ uname -rm
5.8.8-gnu x86_64
--8<---------------cut here---------------end--------------->8---

Ludo’.